<?php

function myqtip_create_menu() {

	//create new top-level menu
	add_menu_page('MyQtip Settings', 'MyQtip Settings', 'administrator', 'myqtip_settings_page', 'myqtip_settings_page');

	//call register settings function
	add_action( 'admin_init', 'register_myqtip_settings' );
}

function register_myqtip_settings() {
	//register our settings
	register_setting( 'myqtip-settings-group', 'myqtip_my' );
	register_setting( 'myqtip-settings-group', 'myqtip_at' );
	register_setting( 'myqtip-settings-group', 'myqtip_style' );
	register_setting( 'myqtip-settings-group', 'adjust_x' );
	register_setting( 'myqtip-settings-group', 'adjust_y' );
}

function myqtip_settings_page() { 
	?>
	<div class="wrap" style="background:url(<?php echo esc_url(plugin_dir_url( __DIR__ ) . '/assest/corners.jpg');?>) 90% 230px no-repeat;">
		
		<h2>MyQtip Settings</h2>

		<h3><img width="60px" src="<?php echo esc_url(plugin_dir_url( __DIR__ ) . 'assest/owl_small.png'); ?>">WP plugin MyQtip – easy qTip2</h3>
		<p>MyQtip for WordPress is a plugin that uses qTip2 to display nice looking, user friendly tooltips. You can choose from 12 color style. Position easily changeable.</p>

		<h3>How to Use?</h3>
		<p>For use - paste shortcode  <span style="color:blue;letter-spacing: 1.5px;font-size: 120%;line-height: 2;"> [myqtip title='my text tips' ] any content [/myqtip] </span>  <br>

		or add <span style="color:blue;">.myqtip</span> class for link or other tag. Text tips  is taken from the <span style="color:blue;">title</span> attribute</p>

		<p style="margin-right: 621px;">qTip utilises a special positioning system using corners. The basic concept behind it is pretty simple, in fact it turns out to be plain English when read aloud! For example, let's say we want to position my tooltips top left corner at the bottom right of my target.</p>
		<p>See demo to the official <a href="https://myqtip.monothemes.com/">website</a></p>
		
		<form method="post" action="options.php">

		    <?php settings_fields( 'myqtip-settings-group' ); ?>

		    <table class="form-table">

		        <tr valign="top">
			        <th scope="row">Tooltip position (my)</th>
			        <td>
			        	<select  name="myqtip_my" id="my" > 
							<option value="top left"<?php if (get_option('myqtip_my') == 'top left' ) { ?> selected="selected"<?php } ?>>top left</option>
							<option value="top right"<?php if (get_option('myqtip_my') == 'top right' ) { ?> selected="selected"<?php } ?>>top right</option>
							<option value="top center"<?php if (get_option('myqtip_my') == 'top center' ) { ?> selected="selected"<?php } ?>>top center</option>
							<option value="bottom left"<?php if (get_option('myqtip_my') == 'bottom left' ) { ?> selected="selected"<?php } ?>>bottom left</option>
							<option value="bottom right"<?php if (get_option('myqtip_my') == 'bottom right' ) { ?> selected="selected"<?php } ?>>bottom right</option>
							<option value="bottom center"<?php if (get_option('myqtip_my') == 'bottom center' ) { ?> selected="selected"<?php } ?>>bottom center</option>
							<option value="left top"<?php if (get_option('myqtip_my') == 'left top' ) { ?> selected="selected"<?php } ?>>left top</option>
							<option value="left bottom"<?php if (get_option('myqtip_my') == 'left bottom' ) { ?> selected="selected"<?php } ?>>left bottom</option>
							<option value="left center"<?php if (get_option('myqtip_my') == 'left center' ) { ?> selected="selected"<?php } ?>>left center</option>
							<option value="right top"<?php if (get_option('myqtip_my') == 'right top' ) { ?> selected="selected"<?php } ?>>right top</option>
							<option value="right bottom"<?php if (get_option('myqtip_my') == 'right bottom' ) { ?> selected="selected"<?php } ?>>right bottom</option>
							<option value="right center"<?php if (get_option('myqtip_my') == 'right center' ) { ?> selected="selected"<?php } ?>>right center</option>
							<option value="center"<?php if (get_option('myqtip_my') == 'center' ) { ?> selected="selected"<?php } ?>>center</option>
							            
						</select>
					</td> 
		        </tr>
		         
		        <tr valign="top">
			        <th scope="row">Target position (at)</th>
			        <td>
			        	<select name="myqtip_at" id="at">
							<option value="top left"<?php if (get_option('myqtip_at') == 'top left' ) { ?> selected="selected"<?php } ?>>top left</option>
							<option value="top right"<?php if (get_option('myqtip_at') == 'top right' ) { ?> selected="selected"<?php } ?>>top right</option>
							<option value="top center"<?php if (get_option('myqtip_at') == 'top center' ) { ?> selected="selected"<?php } ?>>top center</option>
							<option value="bottom left"<?php if (get_option('myqtip_at') == 'bottom left' ) { ?> selected="selected"<?php } ?>>bottom left</option>
							<option value="bottom right"<?php if (get_option('myqtip_at') == 'bottom right' ) { ?> selected="selected"<?php } ?>>bottom right</option>
							<option value="bottom center"<?php if (get_option('myqtip_at') == 'bottom center' ) { ?> selected="selected"<?php } ?>>bottom center</option>
							<option value="left top"<?php if (get_option('myqtip_at') == 'left top' ) { ?> selected="selected"<?php } ?>>left top</option>
							<option value="left bottom"<?php if (get_option('myqtip_at') == 'left bottom' ) { ?> selected="selected"<?php } ?>>left bottom</option>
							<option value="left center"<?php if (get_option('myqtip_at') == 'left center' ) { ?> selected="selected"<?php } ?>>left center</option>
							<option value="right top"<?php if (get_option('myqtip_at') == 'right top' ) { ?> selected="selected"<?php } ?>>right top</option>
							<option value="right bottom"<?php if (get_option('myqtip_at') == 'right bottom' ) { ?> selected="selected"<?php } ?>>right bottom</option>
							<option value="right center"<?php if (get_option('myqtip_at') == 'right center' ) { ?> selected="selected"<?php } ?>>right center</option>
							<option value="center"<?php if (get_option('myqtip_at') == 'center' ) { ?> selected="selected"<?php } ?>>center</option>
						</select>
					</td>
		        </tr>
		        
		        <tr valign="top">
			        <th scope="row">Style</th>
			        <td>
			        	<select name="myqtip_style" id="myqtip_style">
			        		<option value="plain"<?php if (get_option('myqtip_style') == 'plain' ) { ?> selected="selected"<?php } ?>>plain</option>		        
							<option value="red"<?php if (get_option('myqtip_style') == 'red' ) { ?> selected="selected"<?php } ?>>red</option>
							<option value="blue"<?php if (get_option('myqtip_style') == 'blue' ) { ?> selected="selected"<?php } ?>>blue</option>
							<option value="dark"<?php if (get_option('myqtip_style') == 'dark' ) { ?> selected="selected"<?php } ?>>dark</option>
							<option value="light"<?php if (get_option('myqtip_style') == 'light' ) { ?> selected="selected"<?php } ?>>light</option>
							<option value="green"<?php if (get_option('myqtip_style') == 'green' ) { ?> selected="selected"<?php } ?>>green</option>
							<option value="jtools"<?php if (get_option('myqtip_style') == 'jtools' ) { ?> selected="selected"<?php } ?>>jtools</option>
							<option value="plain"<?php if (get_option('myqtip_style') == 'plain' ) { ?> selected="selected"<?php } ?>>plain</option>
							<option value="youtube"<?php if (get_option('myqtip_style') == 'youtube' ) { ?> selected="selected"<?php } ?>>youtube</option>
							<option value="cluetip"<?php if (get_option('myqtip_style') == 'cluetip' ) { ?> selected="selected"<?php } ?>>cluetip</option>
							<option value="tipsy"<?php if (get_option('myqtip_style') == 'tipsy' ) { ?> selected="selected"<?php } ?>>tipsy</option>
							<option value="tipped"<?php if (get_option('myqtip_style') == 'tipped' ) { ?> selected="selected"<?php } ?>>tipped</option>
							<option value="bootstrap"<?php if (get_option('myqtip_style') == 'bootstrap' ) { ?> selected="selected"<?php } ?>>bootstrap</option>
						</select>
					</td>
		        </tr>
		        
		        <tr valign="top">
			        <th scope="row">adjust.x</th>
			       	<td> 
						<select name="adjust_x">
				        	<option value="-50"<?php if (get_option('adjust_x') == '-50' ) { ?> selected="selected"<?php } ?>>-50</option>
				            <option value="-45"<?php if (get_option('adjust_x') == '-45' ) { ?> selected="selected"<?php } ?>>-45</option>
				            <option value="-40"<?php if (get_option('adjust_x') == '-40' ) { ?> selected="selected"<?php } ?>>-40</option>
				            <option value="-35"<?php if (get_option('adjust_x') == '-35' ) { ?> selected="selected"<?php } ?>>-35</option>
				            <option value="-30"<?php if (get_option('adjust_x') == '-30' ) { ?> selected="selected"<?php } ?>>-30</option>
				            <option value="-25"<?php if (get_option('adjust_x') == '-25' ) { ?> selected="selected"<?php } ?>>-25</option>
				            <option value="-20"<?php if (get_option('adjust_x') == '-20' ) { ?> selected="selected"<?php } ?>>-20</option>
				            <option value="-15"<?php if (get_option('adjust_x') == '-15' ) { ?> selected="selected"<?php } ?>>-15</option>
				            <option value="-10"<?php if (get_option('adjust_x') == '-10' ) { ?> selected="selected"<?php } ?>>-10</option>
							<option value="-5"<?php if (get_option('adjust_x') == '-5' ) { ?> selected="selected"<?php } ?>>-5</option>
							<option value="0"<?php if (get_option('adjust_x') == '0' ) { ?> selected="selected"<?php } ?>>0</option>
				            <option value="5"<?php if (get_option('adjust_x') == '5' ) { ?> selected="selected"<?php } ?>>5</option>
				            <option value="10"<?php if (get_option('adjust_x') == '10' ) { ?> selected="selected"<?php } ?>>10</option>
				            <option value="15"<?php if (get_option('adjust_x') == '15' ) { ?> selected="selected"<?php } ?>>15</option>
				            <option value="20"<?php if (get_option('adjust_x') == '20' ) { ?> selected="selected"<?php } ?>>20</option>
				            <option value="25"<?php if (get_option('adjust_x') == '25' ) { ?> selected="selected"<?php } ?>>25</option>
				            <option value="30"<?php if (get_option('adjust_x') == '30' ) { ?> selected="selected"<?php } ?>>30</option>
				            <option value="35"<?php if (get_option('adjust_x') == '35' ) { ?> selected="selected"<?php } ?>>35</option>
				            <option value="40"<?php if (get_option('adjust_x') == '40' ) { ?> selected="selected"<?php } ?>>40</option>
				            <option value="45"<?php if (get_option('adjust_x') == '45' ) { ?> selected="selected"<?php } ?>>45</option>
							<option value="50"<?php if (get_option('adjust_x') == '50' ) { ?> selected="selected"<?php } ?>>50</option>	
						</select>
					</td>
		        </tr>
		 
				<tr valign="top">
			        <th scope="row">adjust.y</th>
			       	<td> 
						<select name="adjust_y">
				        	<option value="-50"<?php if (get_option('adjust_y') == '-50' ) { ?> selected="selected"<?php } ?>>-50</option>
				            <option value="-45"<?php if (get_option('adjust_y') == '-45' ) { ?> selected="selected"<?php } ?>>-45</option>
				            <option value="-40"<?php if (get_option('adjust_y') == '-40' ) { ?> selected="selected"<?php } ?>>-40</option>
				            <option value="-35"<?php if (get_option('adjust_y') == '-35' ) { ?> selected="selected"<?php } ?>>-35</option>
				            <option value="-30"<?php if (get_option('adjust_y') == '-30' ) { ?> selected="selected"<?php } ?>>-30</option>
				            <option value="-25"<?php if (get_option('adjust_y') == '-25' ) { ?> selected="selected"<?php } ?>>-25</option>
				            <option value="-20"<?php if (get_option('adjust_y') == '-20' ) { ?> selected="selected"<?php } ?>>-20</option>
				            <option value="-15"<?php if (get_option('adjust_y') == '-15' ) { ?> selected="selected"<?php } ?>>-15</option>
				            <option value="-10"<?php if (get_option('adjust_y') == '-10' ) { ?> selected="selected"<?php } ?>>-10</option>
							<option value="-5"<?php if (get_option('adjust_y') == '-5' ) { ?> selected="selected"<?php } ?>>-5</option>
							<option value="0"<?php if (get_option('adjust_y') == '0' ) { ?> selected="selected"<?php } ?>>0</option>
				            <option value="5"<?php if (get_option('adjust_y') == '5' ) { ?> selected="selected"<?php } ?>>5</option>
				            <option value="10"<?php if (get_option('adjust_y') == '10' ) { ?> selected="selected"<?php } ?>>10</option>
				            <option value="15"<?php if (get_option('adjust_y') == '15' ) { ?> selected="selected"<?php } ?>>15</option>
				            <option value="20"<?php if (get_option('adjust_y') == '20' ) { ?> selected="selected"<?php } ?>>20</option>
				            <option value="25"<?php if (get_option('adjust_y') == '25' ) { ?> selected="selected"<?php } ?>>25</option>
				            <option value="30"<?php if (get_option('adjust_y') == '30' ) { ?> selected="selected"<?php } ?>>30</option>
				            <option value="35"<?php if (get_option('adjust_y') == '35' ) { ?> selected="selected"<?php } ?>>35</option>
				            <option value="40"<?php if (get_option('adjust_y') == '40' ) { ?> selected="selected"<?php } ?>>40</option>
				            <option value="45"<?php if (get_option('adjust_y') == '45' ) { ?> selected="selected"<?php } ?>>45</option>
							<option value="50"<?php if (get_option('adjust_y') == '50' ) { ?> selected="selected"<?php } ?>>50</option>	
						</select>
					</td>
		        </tr>
		        
		    </table>

		    <p class="submit">
		    	<input type="submit" class="button-primary" value="<?php esc_attr_e('Save Changes') ?>" />
		    </p>

		</form>

		<h3>Demo</h3>
		<a href=""><img width="1200px" src="<?php echo esc_url(plugin_dir_url( __DIR__ ) . 'assest/help.png'); ?>"></a>

		<h3>About Plugin</h3>
		<div class="wp-box">
			<p>The plugin was created in 2013 year</p>
			<p>MyQtip this is plugin for WordPress, based qTip2 jQuery plugin</p>
			<p>if you need more options Please contact me to email monothemes@gmail.com</p>
		</div>

	</div>    
	<?php 
}